config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.docker.new
config etc/default/docker.new
config etc/logrotate.d/docker.new

( cd usr/share/gocode/src/github.com/docker/docker/project ; rm -rf CONTRIBUTORS.md )
( cd usr/share/gocode/src/github.com/docker/docker/project ; ln -sf ../CONTRIBUTING.md CONTRIBUTORS.md )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; rm -rf docker-engine.docker.upstart )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; ln -sf ../../../contrib/init/upstart/docker.conf docker-engine.docker.upstart )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; rm -rf docker-engine.docker.default )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; ln -sf ../../../contrib/init/sysvinit-debian/docker.default docker-engine.docker.default )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; rm -rf docker-engine.udev )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; ln -sf ../../../contrib/udev/80-docker.rules docker-engine.udev )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; rm -rf docker-engine.docker.init )
( cd usr/share/gocode/src/github.com/docker/docker/hack/make/.build-deb ; ln -sf ../../../contrib/init/sysvinit-debian/docker docker-engine.docker.init )
